Summary: TeX typesetting system and MetaFont font formatter
Name: teTeX
Version: 1.0
Release: 1
Group: Applications/Publishing/TeX
Copyright: distributable
Url: http://www.tug.org/teTeX/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://sunsite.informatik.rwth-aachen.de/pub/comp/tex/teTeX/1.0/distrib/sources/teTeX-src-1.0.1.tar.gz
Source1: ftp://sunsite.informatik.rwth-aachen.de/pub/comp/tex/teTeX/1.0/distrib/sources/teTeX-texmf-%{version}.tar.gz
Source2: teTeX-tmpwatch.cron
Source3: teTeX-allcm.cron
Requires: tmpwatch, dialog, ed
BuildRoot: /var/tmp/%{name}-root

%description
TeX formats a file of interspersed text and commands and outputs a
typesetter independent file (called DVI, which is short for DeVice
Independent).  TeX capabilities and language are described in The
TeXbook, by Knuth.


%prep
%setup -q
rm -rf /usr/share/texmf/*
tar -C /usr/share/texmf -zxf %{SOURCE1}


%build
export CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s
./configure --prefix=/usr \
	--with-system-ncurses --with-system-zlib --with-system-pnglib \
	--disable-multiplatform --without-dialog --without-texinfo
make


%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
rm -f $RPM_BUILD_ROOT/usr/info/dir
gzip -9f $RPM_BUILD_ROOT/usr/info/*.info*

# VARTEXFONTS by default is set to /var/tmp/texfonts. We like /var/lib/texmf
mkdir -p $RPM_BUILD_ROOT/var/lib/texmf
chmod 1777 $RPM_BUILD_ROOT/var/lib/texmf
perl -pi -e 's|^VARTEXFONTS = .*|VARTEXFONTS = /var/lib/texmf|' \
	/usr/share/texmf/web2c/texmf.cnf

# Change MIMELIBDIR and MAILCAPDIR from /usr/etc to /etc
perl -pi -e 's|/usr/etc|/etc|g' /usr/share/texmf/web2c/texmf.cnf

mkdir -p $RPM_BUILD_ROOT/etc/cron.{daily,monthly}
# a cron script to remove any TeX fonts not used in 30 days
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily
# a cron script to calculate all important fonts on 1st of every month
install -m755 %{SOURCE3} $RPM_BUILD_ROOT/etc/cron.monthly

# Use texconfig to customize teTeX specifically for MSC, Caltech:
export PATH=$RPM_BUILD_ROOT/usr/bin:$PATH

texconfig xdvi us
texconfig dvips paper letter
texconfig mode ljfour

#texconfig dvips add apple
#texconfig dvips -P apple  mode ljfour
#texconfig dvips -P apple  printcmd lpr -Papple
#texconfig dvips add apple2
#texconfig dvips -P apple2 mode ljfour
#texconfig dvips -P apple2 printcmd lpr -Papple2
#texconfig dvips add epson3
#texconfig dvips -P epson3 mode esphi
#texconfig dvips -P epson3 printcmd lpr -Pepson3

texconfig rehash

# Now move the texmf directory to BuildRoot to be included into RPM
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf
mv -f /usr/share/texmf/* $RPM_BUILD_ROOT/usr/share/texmf


%post
/sbin/install-info /usr/info/dvips.info.gz	/usr/info/dir
/sbin/install-info /usr/info/kpathsea.info.gz	/usr/info/dir
/sbin/install-info /usr/info/latex.info.gz	/usr/info/dir
/sbin/install-info /usr/info/web2c.info.gz	/usr/info/dir
texconfig rehash > /dev/null 2>&1

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/dvips.info.gz		/usr/info/dir
    /sbin/install-info --delete /usr/info/kpathsea.info.gz	/usr/info/dir
    /sbin/install-info --delete /usr/info/latex.info.gz		/usr/info/dir
    /sbin/install-info --delete /usr/info/web2c.info.gz		/usr/info/dir
fi


%files
%defattr(-,root,root)
%doc INSTALL PROBLEMS QuickInstall README
%dir /var/lib/texmf
%config /etc/cron.*/*
/usr/bin/*
/usr/include/*
/usr/info/*
/usr/lib/*
/usr/man/man*/*
/usr/share/texmf


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Jun  7 1999 Hao Li <hli@wag.caltech.edu>
- teTeX-1.0.1.
- Rebuilding info files with --no-split is no longer possible.

* Tue Apr 17 1999 Hao Li <hli@wag.caltech.edu>
- teTeX-0.9-990416.
- teTeX-allcm.cron now run as nobody rather than root so that fonts are
  written to /var/lib/texmf rather than /usr/lib/texmf.
- Default printer-specific options commented out.

* Tue Mar  9 1999 Hao Li <hli@wag.caltech.edu>
- teTeX-0.9-990309.
- Added teTeX-allcm.cron to run allcm monthly.
- tmpwatch is now set to scratch files not touched in 30 days.

* Fri Mar  5 1999 Hao Li <hli@wag.caltech.edu>
- teTeX-0.9-990304. Cleaned up changelog. Newest summaries:
- Release is now the teTeX source release number. If we ever need to make
  more than one RPM for a same teTeX source release we can use something like
  teTeX-0.9-990304a.
- /var/lib/texmf scratch threshold is now 100 days.
- RPM building procedure on intel3:
  [root@intel3] $ rpm -e latex2html
  [root@intel3] $ rpm -e teTeX 
  (ignore "cannot remove /var/lib/texmf - directory not empty")
  [root@intel3] $ mkdir /usr/share/texmf
  [root@intel3] $ chown hli.student /usr/share/texmf
  [root@intel3] $ exit

  (download new source, customize teTeX.spec, etc.)
  [hli@intel3]  $ cd /usr/src/redhat/SPEC
  [hli@intel3]  $ rpm -ba teTeX.spec |& tee teTeX.log
  
  [root@intel3] $ rpm -ivh teTeX-0.9-xxxxxx.i386.rpm
  [root@intel3] $ rpm -ivh latex2html-98.1p1-6.noarch.rpm
  (done on intel3, propagate to other machines using "rpm -Uvh ...")
- Other differences from Red Hat 5.2 official packages:
  RH52 breaks it up into 7 sub-RPMs, HLI makes a single all-in-one RPM;
  RH52 names it tetex, HLI names it teTeX.
